AppController_getAccountHistory
GET/api/v1/account-history
AppController_getAccountHistory
Request
Query Parameters
order string
Possible values: [ASC, DESC]
Default value: ASC
Sort order
offset number
How many results to skip (for pagination)
limit number
Maximum number of results
sort string
Possible values: [height, timestamp]
Field on which the sort is applied
account_id string
Account ID
linked_account_id string
Linked account ID
type number
Operation type
height number
Exact history height. Cannot be used in conjunction with height_gte or height_lte.
height_gte number
Minimum history height (inclusive)
height_lte number
Maximum history height (inclusive)
timestamp_gte number
Minimum timestamp in seconds (inclusive)
timestamp_lte number
Maximum timestamp in seconds (inclusive)
Responses
- 200
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
hasMore booleanrequired
Set to 'true' if more results are available.
totalRecords number
Total number of available records. Returned only when 'offset' is used in the query.
items
object[]
required
accountId stringrequired
height numberrequired
type numberrequired
timestamp numberrequired
linkedAccountId stringrequired
amount numberrequired
newBalance numberrequired
chainReference stringrequired
Base64 representation of the CBOR-encoded chain reference.
publicReference stringrequired
privateReference stringrequired
{
"hasMore": true,
"totalRecords": 0,
"items": [
{
"accountId": "string",
"height": 0,
"type": 0,
"timestamp": 0,
"linkedAccountId": "string",
"amount": 0,
"newBalance": 0,
"chainReference": "string",
"publicReference": "string",
"privateReference": "string"
}
]
}
Loading...